Skip to main content
GET
Get tasks including AI-generated per-product action recommendations

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Query Parameters

page
integer
default:1

Page number, 1-indexed (default: 1)

Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:20

Number of items per page, max 100 (default: 20)

Required range: 1 <= x <= 100
status

Filter by one or more task statuses (comma-separated or array). Allowed values: OPEN, IN_PROGRESS, DONE, DISMISSED.

Available options:
OPEN,
IN_PROGRESS,
DONE,
DISMISSED
sourceType

Filter by one or more task source types (comma-separated or array). Allowed values: PLAN_APPROVAL, ALERT_INSTANCE, RECOMMENDED_PLAN, ACTION_VECTOR.

Available options:
ACTION_APPROVAL,
PLAN_APPROVAL,
ALERT_INSTANCE,
RECOMMENDED_PLAN,
ACTION_VECTOR
assigneeId
string

Filter tasks by assignee user ID. Returns only tasks assigned to this user.

domain
enum<string>

Filter PRODUCT_ACTION tasks by decision domain. Allowed values: restock, rebalance, markdown.

Available options:
restock,
rebalance,
markdown
shopId
string

Filter tasks by shop ID. Returns only PRODUCT_ACTION tasks linked to this shop.

variantId
string

Filter tasks by variant ID. Returns only PRODUCT_ACTION tasks linked to this variant.

sortBy
enum<string>

Field to sort results by. Defaults to createdAt. Allowed values: createdAt, updatedAt, priority, dueDate.

Available options:
createdAt,
updatedAt,
priority,
dueDate
sortOrder
enum<string>

Sort direction. Defaults to desc. Allowed values: asc, desc.

Available options:
asc,
desc

Response

Successful response

data
object[]
required

Page of items

meta
object
required

Pagination metadata

success
enum<boolean>
required
Available options:
true